Change log for gitless package in Ubuntu

18 of 8 results
Published in impish-release
Published in hirsute-release
Deleted in hirsute-proposed (Reason: moved to Release)
gitless (0.8.8-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Peter Pentchev ]
  * Drop dh-python, dh-sequence-python3 is enough.

 -- Peter Pentchev <email address hidden>  Mon, 26 Oct 2020 11:40:12 +0200

Available diffs

Superseded in hirsute-release
Published in groovy-release
Deleted in groovy-proposed (Reason: moved to Release)
gitless (0.8.8-3) unstable; urgency=medium

  * Drop the adequate autopkgtest.
  * Drop the Name and Contact upstream metadata fields.
  * Use dh-sequence-python3 as a build dependency.
  * Use debian/clean to remove some directories.
  * Update to debhelper compat level 13:
    - drop the conditional around the dh_auto_test target
    - `dh_missing --fail-missing` is the default now

 -- Peter Pentchev <email address hidden>  Sun, 10 May 2020 17:24:30 +0300

Available diffs

Superseded in groovy-release
Published in focal-release
Deleted in focal-proposed (Reason: moved to Release)
gitless (0.8.8-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Peter Pentchev ]
  * Uncap the pygit2 requirement: gitless works with 1.x. Closes: #947597
  * Add the year 2020 to my debian/* copyright notice.
  * Declare compliance with Debian Policy 4.5.0 with no changes.

 -- Peter Pentchev <email address hidden>  Sun, 09 Feb 2020 16:37:49 +0200

Available diffs

Deleted in focal-release (Reason: removed from testing (Debian bug #947597), blocks python-...)
Deleted in focal-proposed (Reason: moved to Release)
gitless (0.8.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.
  * d/control: Fix wrong Vcs-*.

  [ Peter Pentchev ]
  * Mark the adequate autopkgtest as superficial.
  * Use the test-name autopkgtest feature.
  * Annotate test-related build dependencies with <!nocheck>.
  * Run the Salsa CI jobs.
  * New upstream version:
    - drop the path-none and typos patch, integrated upstream
    - add the relax-pygit2-dep patch to relax the version requirement
  * Export LANGUAGE=C during the tests to fix a FTBFS.
  * Correct the years placement in the copyright file.

 -- Peter Pentchev <email address hidden>  Sat, 28 Sep 2019 19:30:04 +0300

Available diffs

Superseded in focal-release
Obsolete in eoan-release
Obsolete in disco-release
Deleted in disco-proposed (Reason: moved to release)
gitless (0.8.6-4) unstable; urgency=medium

  * Move to the Debian Python Applications Packaging Team.
  * Add a git-buildpackage config file.
  * Switch the homepage URL to the HTTPS scheme.
  * Add the year 2019 to my debian/* copyright notice.
  * Always run the upstream test suite.

 -- Peter Pentchev <email address hidden>  Wed, 06 Feb 2019 15:24:41 +0200

Available diffs

Superseded in disco-release
Deleted in disco-proposed (Reason: moved to release)
gitless (0.8.6-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Drop the Lintian override related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits that error.
  * Bump the debhelper compatibility level to 12 with no changes and
    run the dh_missing tool with the --fail-missing option.

 -- Peter Pentchev <email address hidden>  Wed, 26 Dec 2018 01:19:46 +0200

Available diffs

Superseded in disco-release
Obsolete in cosmic-release
Deleted in cosmic-proposed (Reason: moved to release)
gitless (0.8.6-2) unstable; urgency=medium

  * Add the path-none patch to catch up with pygit2's new behavior of
    returning None instead of raising a KeyError when not in a Git
    repository.  Closes: #907146
  * Declare compliance with Debian Policy 4.2.0 with no changes.
  * Change the "MIT" license name to "Expat" in the copyright file to
    avoid ambiguity with the multiple versions of MIT-like licenses.
  * Add the typos patch to correct two typographical errors in
    the upstream source and also propagate the fix to the debian/gl.1
    manual page.
  * Add a trivial autopkgtest running adequate on the binary package.
  * Use the B-D: debhelper-compat (= 11) mechanism.

 -- Peter Pentchev <email address hidden>  Sat, 25 Aug 2018 21:59:29 +0300

Available diffs

Superseded in cosmic-release
Deleted in cosmic-proposed (Reason: moved to release)
gitless (0.8.6-1) unstable; urgency=low

  * Initial release.  Closes: #839644

 -- Peter Pentchev <email address hidden>  Wed, 16 May 2018 00:59:12 +0300
18 of 8 results